#include "savage_strike.h"

#include <algorithm>
#include "constants.h"

savage_strike::savage_strike(const position &pos):
        potion{potion_type::SAVAGE_STRIKE, DURATION, pos} {}

void savage_strike::apply(const enum race &race, int &HP, int &ATK, int &DEF,
                          fraction &base_hit_rate) {
        if (remaining_duration != 0) {
                ATK *= ATK_MUL * (race == DROW ? DROW_POTION_MUL : 1);
                base_hit_rate *= HR_MUL;
                --remaining_duration;
        }
}

int savage_strike::get_priority() const {
        return CALC_MID;
}

const char *savage_strike::get_name() const {
        return "SS";
}
